
#include "scheduler.h"
#include <stdio.h>
#include <unistd.h>


int process(void *) {
	while (1) {
		printf("process %d is running\n", sched_pid());
		getchar();
		sched_yield();
	}
	return 0;
}


int main(int argc, char *argv[]) {
	int i = 0;

	for (i = 0; i < MAX_PROCESSES; i++) {
		sched_register(&process, 4096 * 2, 0);
	}

	schedule();

	return 0;
}

